/* ----BODY ▼---- */

body {
    margin: 0;
    padding: 0;
    background-image: url('tlo.jpg');
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    font-family: 'Reem Kufi', sans-serif;
    color: #fff;
}



/* ----HEADER ▼---- */

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background-color: rgba(0, 0, 0, 0.0);
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 10;
}

header .logo {
    color: #fff;
    font-size: 24px;
}



/* ----MENU MOBILNE ▼---- */

.mobile-menu-icon { /* logo mobilne */
    display: none;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    margin-right: 50px;
    position: relative;
    width: 30px;
    height: 24px;
    transition: transform 0.3s ease;
}

.mobile-menu-icon span { /* hamburger */
    display: block;
    position: absolute;
    height: 3px;
    width: 100%;
    background: #fff;
    border-radius: 2px;
    opacity: 1;
    left: 0;
    transform: rotate(0deg);
    transition: transform 0.25s ease-in-out, top 0.25s ease-in-out, bottom 0.25s ease-in-out;
}


/* MENU MOBILNE - Animacja hamburger */

.mobile-menu-icon span:nth-child(1) {
    top: 0px;
}

.mobile-menu-icon span:nth-child(2) {
    top: 10px;
}

.mobile-menu-icon span:nth-child(3) {
    top: 20px;
}

.mobile-menu-icon.open span:nth-child(1) {
    top: 10px;
    transform: rotate(135deg);
}

.mobile-menu-icon.open span:nth-child(2) {
    opacity: 0;
}

.mobile-menu-icon.open span:nth-child(3) {
    top: 10px;
    transform: rotate(-135deg);
}


/* ----MENU MOBILNE - Tło Submenu---- */

nav.mobile-menu,
nav.mobile-submenu {
    display: none;
    position: fixed;
    top: 0;
    right: 0px; /* Przesunięcie tła */
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(6px); /* Rozmycie tła pod menu mobilnym */
    z-index: 9;
    justify-content: center;
    align-items: center;
    transition: opacity 0.5s ease;
}

/* MENU MOBILNE - Submenu - Animacja Otwarcia i Zamknięcia */

@keyframes slideIn {
    from {
        transform: translateX(-100%);
    }
    to {
        transform: translateX(0);
    }
}

@keyframes slideOut {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-100%);
    }
}

nav.mobile-menu.active,
nav.mobile-submenu.active {
    display: flex;
    animation: slideIn 0.2s forwards;
    opacity: 1;
}

nav.mobile-menu.closing,
nav.mobile-submenu.closing {
    animation: slideOut 0.2s forwards;
    opacity: 1;
}

/* Poniższe pozostaje bez zmian */

nav.mobile-menu ul,
nav.mobile-submenu ul {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: left; /* Pozycjonowanie elementów */
}

nav.mobile-menu ul li,
nav.mobile-submenu ul li {
    margin: 20px 0;
    opacity: 0;
    transform: translateY(-20px);
    animation: slideDownFadeIn 1.0s forwards;
}

nav.mobile-menu ul li a,
nav.mobile-submenu ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 40px;
    font-family: Oswald, sans-serif;
    font-weight: 600;
    font-style: normal;
}



/* Obecne animacje dla elementów */

@keyframes slideDownFadeIn {
    from {
        transform: translateX(-20px);
        opacity: 0;
    }
    to {
        transform: translateX(0);
        opacity: 1;
    }
}

nav.mobile-menu ul li:nth-child(1),
nav.mobile-submenu ul li:nth-child(1) {
    animation-delay: 0.2s;
}

nav.mobile-menu ul li:nth-child(2),
nav.mobile-submenu ul li:nth-child(2) {
    animation-delay: 0.2s;
}

nav.mobile-menu ul li:nth-child(3),
nav.mobile-submenu ul li:nth-child(3) {
    animation-delay: 0.2s;
}

nav.mobile-menu ul li:nth-child(4),
nav.mobile-submenu ul li:nth-child(4) {
    animation-delay: 0.2s;
}

nav.mobile-menu ul li:nth-child(5),
nav.mobile-submenu ul li:nth-child(5) {
    animation-delay: 0.2s;
}

nav.mobile-menu ul li:nth-child(6),
nav.mobile-submenu ul li:nth-child(6) {
    animation-delay: 0.2s;
}

@media (max-width: 768px) {
    nav.desktop-menu {
        display: none;
    }

    .mobile-menu-icon {
        display: block;
    }
}

ol {
    list-style-type: none;
    padding: 0;
    margin: 0;
    font-family: Oswald, sans-serif;
    font-weight: 600;
    font-size: 20px;
    letter-spacing: 1px;
    height: 2em;
    line-height: 2em;
    text-align: center;
}

ol a {
    display: block;
    text-decoration: none;
    color: #ffffff;
    padding: 0 5px;
}

ol > li {
    float: left;
    width: 150px;
    margin-left: 1px;
    height: 2em;
}

ol > li:first-child {
    margin-left: 0;
}

ol > li:hover {
    background-color: #eeeeee;
}

ol > li:hover > a {
    color: rgb(0, 0, 0);
}

ol > li:hover > ul {
    display: block;
}

ol > li > ul {
    display: none;
    list-style-type: none;
    padding: 0;
    margin: 0;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 10;
    opacity: 0;
    transition: opacity 0.3s ease;
}

ol > li > ul > li {
    position: relative;
    background-color: #ffffff48;
}

ol > li > ul > li > a {
    border-top: 1px solid #0000007a;
    color: #fff;
    padding: 10px 20px;
    display: block;
    text-decoration: none;
}

ol > li > ul > li > a:hover {
    background-color: #ffffff;
    color: #000;
}



/* ----SLIDER STRONA GŁÓWNA ▼---- */

.slider {
    width: 100%;
    height: 100vh;
    position: relative;
    overflow: hidden;
}

.slides {
    display: flex;
    width: 300%;
    height: 100%;
    transition: transform 1s ease;
}

.slide {
    width: 100%;
    height: 100%;
    flex-shrink: 0;
    background-size: cover;
    background-position: center;
    position: relative;
}

.content {
    position: absolute;
    bottom: 20px;
    left: 20px;
    color: white;
    background: rgba(0, 0, 0, 0.5);
    padding: 20px;
    border-radius: 5px;
}

@media (max-width: 768px) {
    .content {
        font-size: 14px;
    }
}



/* ----TRESC GLOWNA ▼---- */

.container {
    text-align: center;
    position: absolute;
    top: 100px;
}

.logo {
    width: 350px;
    height: 350px;
    animation: pulse 1s alternate infinite;
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(0.9);
    }
}

.logo-gora {
    width: 50px;
    height: 50px;
    animation: pulse 1s alternate infinite;
    padding-left: 5px;
}

.description {
    text-align: center;
    font-family: Poppins, sans-serif;
    color: #fff;
    font-size: 11px;
}

.social-icons {
    margin-top: 20px;
}

.social-icon {
    display: inline-block;
    margin: 0 10px;
    transition: transform 0.3s;
}

.social-icon:hover {
    transform: scale(1.3);
}

.social-icon img {
    width: 40px;
    height: 40px;
}



.tresc {
    color: #fff;
    text-decoration: line-through;
    font-size: 36px;
    font-family: Oswald, sans-serif;
    font-weight: 700;
}



/* ----MENU DESKTOP ▼---- */

.social-menu-desktop {
    margin-top: 0px;
    width: 20px;
    height: 20px;
}



nav.desktop-menu ul {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
}

nav.desktop-menu ul li {
    position: relative;
    margin-left: 0px;
}

nav.desktop-menu ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    font-family: Oswald, sans-serif;
    margin-right: 40px;
    font-weight: 700;
}

nav.desktop-menu ul li a:hover {
    text-decoration: line-through;
    text-decoration-thickness: 5px;
}

nav.desktop-menu ul li:hover .submenu {
    display: block;
}

nav.desktop-menu ul li .submenu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(6px); /* Rozmycie tła pod menu desktopowym */
    padding: 10px 0;
    z-index: 10;
    list-style: none;
    min-width: 200px;
}

nav.desktop-menu ul li .submenu li {
    margin: 0;
}

nav.desktop-menu ul li .submenu li a {
    color: #fff;
    text-decoration: none;
    font-size: 16px;
    padding: 5px 30px;
    display: block;
    font-family: Oswald, sans-serif;
    font-weight: 700;
}

nav.desktop-menu ul li .submenu li a:hover {
    text-decoration: underline;
}



/* ----STOPKA ▼---- */

h1 {
    color: #333;
}

p {
    color: #666;
}

/* Styl dla mobilnej stopki */

.mobile-footer {
    background-color: #333;
    color: #fff;
    padding: 0px;
    text-align: center;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    
    display: static;
    flex-direction: column;
    align-items: center;
    clear:both; 
  
}

.footer-links {
    margin-bottom: 0px;
}

.footer-links a {
    color: #fff;
    text-decoration: none;
    margin: 0 0px;
}

.footer-social {
    margin-bottom: 10px;
}

.footer-social a {
    display: inline-block;
    margin: 0 5px;
}

.footer-social img {
    width: 30px;
    height: 30px;
}

.mobile-footer p {
    margin: 0;
    font-size: 12px;
}